module Gersdorf.ContextMatching.General.Rules.Identity (
    identityRule
) where

import Debug.Trace

--import Gersdorf.Contextmatching.Base.Term
import Gersdorf.ContextMatching.General.Rule
import Gersdorf.ContextMatching.Base.PositionTerm
import Gersdorf.Data.BacktrackingChoice

import Data.Maybe

-- | Regel wie folgt:
-- Identitt. Nur fr stepliste verwendet.

identityRule :: (EnvPosEqSet es eq t tp) => Rule es eq t tp
identityRule = Rule { ruleName = "Identity", ruleF = identity }

identity :: (EnvPosEqSet es eq t tp) => RuleFunction es eq t tp
identity = RuleFunction $ identity'
    where
    identity' eset = [cBacktrackingDet eset]

