module Gersdorf.ContextMatching.General.Rules.MultiContextCollision (
    multiCtxCollisionRule
) where

import Gersdorf.ContextMatching.General.Rule

multiCtxCollisionRule :: (EnvPosEqSet es eq t tp) => Rule es eq t tp
multiCtxCollisionRule = cSimpleRule1 "multiContextCollision" multiCtxCollision

multiCtxCollision :: (EnvEquationSet es eq t) => es eq t -> eq t -> RuleResult eq t
multiCtxCollision _ eq
        | countHoles l /= countHoles r = RRBot
        | otherwise                    = RRNothing
    where
    (l, r) = getPair eq
    

