--module Main (
module Gersdorf.ContextMatching.Test.TestSimpleTerm (
    main
) where

import Gersdorf.ContextMatching.Base.Terms

getTestTerm :: ContextTerm
getTestTerm =  cTerm $ cFunction "add" [ cContextVar "D" (cVar "a"),
    cFunction "mult" [ cVar "y", cFunction "const" [] ],
    cVar "newVar",
    cContextVar "C" (cFunction "z" [cContextVar "C2" (cVar "x"),
                                    cContextVar "C3" (cHole)])
                        ] 

getTestTerm2 :: ContextTerm
getTestTerm2 = cTerm $ cFunction "a" [cHole]

getTestTerm3 :: ContextTerm
getTestTerm3 = cTerm $ cFunction "f" [cFunction "g" [cFunction "a" [], cFunction "b" []], cFunction "c" []]

testSize :: ContextTerm -> Int
testSize t = size t

{-testMap :: ContextTerm -> ContextTerm
testMap t = mapTerm f t
    where f t' | isContextVariable t' = Just cHole
               | otherwise = Nothing
-}
main :: IO ()
main = print (testSize getTestTerm2)
