module Gersdorf.Data.Hashable (
    Hashable(..),
    Int32
) where

import Data.Int
import Data.Char (ord)
import qualified Data.HashTable as HT 

class Hashable h where
    hash :: h -> Int32

instance Hashable Char where
    hash = hash . ord

-- | TODO: Richtige IMplementierung eines MD5 oder so. Das hier funktioniert
--   nicht vernnftig!!
instance Hashable Int where
    hash = HT.hashInt

instance (Hashable a) => Hashable [a] where
    hash l = foldl (\h e -> (h + (hash e)) `mod` HT.prime) 0 l


