module Test.TestGHCI (
    isLinear,
    solveLinearCM,

    solveGCM,
    solveGCMVerbose,
    solveGCMStatistic, solveGCMAggregatedStatistic,
    getWrongSolutions,
    allSolutionsOkay,
    regressionTest,

    statisticTestDiff,
    StatisticInformationDiff(..),
    AggregatedStatisticInformation(..),
    StatisticInformation(..),

    
    module Gersdorf.ContextMatching.Test.TestStrategies,
    module Gersdorf.ContextMatching.Test.TestGeneralProblems,
    module Gersdorf.ContextMatching.General.Rules.Rules,
    module Gersdorf.ContextMatching.Test.TestTermGeneratorParameters,

    printIO
) where

import Gersdorf.ContextMatching.General.GeneralFacade
import Gersdorf.ContextMatching.Test.TestStrategies
import Gersdorf.ContextMatching.Test.TestGeneralProblems
import Gersdorf.ContextMatching.Test.TestTermGeneratorParameters
import Gersdorf.ContextMatching.General.Rules.Rules
import Gersdorf.ContextMatching.Test.StatisticTests
import Gersdorf.ContextMatching.General.Heuristic
import Gersdorf.ContextMatching.Linear.LinearityTest
import Gersdorf.ContextMatching.Linear.LinearCM
import Gersdorf.Monad.IOUtil
