module Test.TestLinear where

import Gersdorf.ContextMatching.Base.Terms
import Gersdorf.ContextMatching.Linear.LinearCM
import Gersdorf.ContextMatching.Base.TermParser
import Gersdorf.ContextMatching.Test.TestData

simpleEq :: ContextTermEq
simpleEq = read "C[f(x)] =? h(f(a()), f(b()))"

complexEq :: ContextTermEq
complexEq = read "C[f(D[a()], b())] =? h(f(h(a()), b()), f(c(), a()))"

linExp :: Int -> ContextTermEq
linExp = head . toEquationList . linearExponential
