
--module Main (
module Gersdorf.ContextMatching.Test.TestHeapTerm (
    main
) where

import Gersdorf.ContextMatching.Base.Terms
import Gersdorf.ContextMatching.Base.HeapTerm
import Gersdorf.ContextMatching.Base.SimpleTerm
import Gersdorf.ContextMatching.Test.TestData


testSize :: ContextTerm -> Int
testSize t = size t

testMap :: ContextTerm -> ContextTerm
testMap t = mapTerm f t
    where f t' | isContextVariable t' = Just cHole
               | otherwise = Nothing

main :: IO ()
main = print (toHeapTerm getTestTerm4)
