module Gersdorf.Data.ListStack (
    ListStack,
    module Gersdorf.Data.Stack
) where

import Gersdorf.Data.Stack

data ListStack a = ListStack [a]
    deriving Show

instance Stack ListStack a where
    emptyStack = ListStack []

    isStackEmpty (ListStack []) = True
    isStackEmpty _ = False

    push el (ListStack ss) = ListStack $! (el:ss)

    pop l@(ListStack []) = l
    pop (ListStack (e:es)) = ListStack $! es

    top (ListStack []) = error "Stack empty."
    top (ListStack (e:es)) = e
